Subject: bug#59601: 29.0.50; csharp-mode variables missing prefix

From: Theodor Thornhill <[email-masked]>
Date: Sat, 26 Nov 2022 20:16:59 +0100

Stefan Kangas <[email-masked]> writes:

> Severity: wishlist
>
> Should these variables have the prefix `csharp-'?
>
>     `codedoc-font-lock-doc-comments'
>     `codedoc-font-lock-keywords'
>
> I also see that `codedoc-font-lock-keywords' seems to be unused?

I believe they need to be like this, for some CC Mode magic reason. See
`javadoc-font-lock-keywords' and friends.  I believe CC Mode picks them
up and that they should follow that naming convention.  I've CC'd Alan
just to confirm.  If you agree Alan then they could be part of
cc-fonts.el now that csharp-mode is in core.  What do you think?

Theo